/*
 * This Kotlin source file was generated by the Gradle 'init' task.
 */
package Scrapper.kotlin
import com.functions.Scrapper

import java.io.File

// class App {
//     val greeting: String
//         get() {
//             return "Hello World!"
//         }
// }

fun main() {
    var url = "https://novelfull.com/lord-of-the-mysteries.html"

    var scrapper = Scrapper(url)

    var chapter_list = scrapper.getCharpterListFromPage("2")
    
    var chapter_url = "https://novelfull.com" + chapter_list.toList()[0].second

    var chapter_content = scrapper.CopyChapterContent(chapter_url)
    print(chapter_content)

    // var chapter_colection_file = File(scrapper.getTitle()+ ".txt")

    // chapter_colection_file.createNewFile()
    // chapter_colection_file.writeText(chapter_content)
}

        
    
